package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.DBET;
import cn.ibizhub.demo.demo.service.DBETService;
import cn.ibizhub.demo.demo.dao.DBETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 实体[DBET] 服务对象接口实现
 */
@Service
public class DBETServiceImpl implements DBETService{

    @Autowired
    private DBETDao dbetdao;

    public void addDBET (DBET dbet){
        dbetdao.save(dbet);
    }
    public void deleteDBET (DBET dbet){
        dbetdao.delete(dbet);
    }
    public void updateDBET (DBET dbet){
        dbetdao.save(dbet);
    }
    public List<DBET> selectDBETall (){
        return dbetdao.findAll();
    }
    public DBET selectDBET (String id){
        return dbetdao.findById(id).get();
    }

    public List<DBET> findByDbetnameContaining(String param){
        return dbetdao.findByDbetnameContaining(param);
    }

    public List<DBET> findBySex(String param){
        return dbetdao.findBySex(param);
    }


}